'use strict';

var helper = require('./helper.js');
var Dictionary = require('./matching/Dictionary.js');
var L33t = require('./matching/L33t.js');
var DictionaryReverse = require('./matching/DictionaryReverse.js');
var Spatial = require('./matching/Spatial.js');
var Repeat = require('./matching/Repeat.js');
var Sequence = require('./matching/Sequence.js');
var Regex = require('./matching/Regex.js');
var _Date = require('./matching/Date.js');

/*
 * -------------------------------------------------------------------------------
 *  Omnimatch combine matchers ---------------------------------------------------------------
 * -------------------------------------------------------------------------------
 */

class Matching {
  constructor() {
    this.matchers = [Dictionary, DictionaryReverse, L33t, Spatial, Repeat, Sequence, Regex, _Date];
    this.options = {};
  }

  match(password) {
    const matches = [];
    this.matchers.forEach(Entry => {
      const matcher = new Entry();
      helper.extend(matches, matcher.match({
        password,
        omniMatch: this
      }));
    });
    return helper.sorted(matches);
  }

}

module.exports = Matching;
//# sourceMappingURL=Matching.js.map
