import Options from './Options.esm.js';
import scoring from './scoring.esm.js';
import Matching from './Matching.esm.js';
import TimeEstimates from './TimeEstimates.esm.js';
import Feedback from './Feedback.esm.js';

const time = () => new Date().getTime();

var index = ((password, options = {}) => {
  Options.setOptions(options);
  const feedback = new Feedback();
  const matching = new Matching();
  const timeEstimates = new TimeEstimates();
  const start = time();
  const matches = matching.match(password);
  const matchSequence = scoring.mostGuessableMatchSequence(password, matches);
  const calcTime = time() - start;
  const attackTimes = timeEstimates.estimateAttackTimes(matchSequence.guesses);
  return {
    calcTime,
    ...matchSequence,
    ...attackTimes,
    // @ts-ignore
    feedback: feedback.getFeedback(attackTimes.score, matchSequence.sequence)
  };
});

export default index;
//# sourceMappingURL=index.esm.js.map
